// Author: fengshengxiong
// Date: 2024/8/1
// Description: 主程序入口控制器

import 'package:get/get.dart';
import 'package:tone_snap/data/storage/music_box.dart';

class MainController extends GetxController {
  static MainController get to => Get.find<MainController>();
  var isSideBTheme = false.obs;

  @override
  void onInit() {
    super.onInit();
    bool isOpenedSideB = MusicBox().getIsOpenedSideB();
    isSideBTheme.value = isOpenedSideB;
  }

  void changeTheme() {
    isSideBTheme.value = true;
    update(['changeTheme']);
  }
}